Bug 684049 - Postgres Configuration Needs Clarification
Postgres Configuration Needs Clarification
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Documentation (Show other bugs)
unspecified
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Deon Ballard
Mike Foley
:
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2011-03-10 18:36 EST by George
Modified: 2012-06-06 11:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-06 11:50:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description George 2011-03-10 18:36:17 EST
Description of problem:
The postgresql.conf configuration example shows that you can set the max_fsm_pages property, but this is no longer applicable as of postgres 8.4.  In fact, postgres will not start up if you try to set this property.

Version-Release number of selected component (if applicable): 2.4

How reproducible:
http://docs.redhat.com/docs/en-US/JBoss_Operations_Network/2.4/html-single/Installation_Guide/index.html#Database-Postgres_Preparation

Steps to Reproduce:
1. Go to the URL above
2. Scroll down slightly to section 2.1.1.2.1
3. The example says to set max_fsm_pages = 100000 
  
Actual results:
The user is led to believe they can set max_fsm_pages in postgresql.conf.

Expected results:
Either remove the mas_fsm_pages property or specify that it only applies to postgres 8.3 and earlier.

Additional info:
http://wiki.postgresql.org/wiki/Tuning_Your_PostgreSQL_Server

"The FSM was rewritten for PostgreSQL 8.4, so earlier advice is no longer applicable. The max_fsm_pages and max_fsm_relations settings are gone, as the new FSM is self-adapting (more info). autovacuum is enabled by default and should remain so, as vacuum much less invasive in 8.4 than before thanks to visibility maps."
Comment 1 John Mazzitelli 2011-03-25 14:33:56 EDT
making sure this blocks on rhq4 so we remember do change this in the RHQ wiki docs
Comment 2 Ian Springer 2011-04-01 10:04:39 EDT
I've updated the RHQ docs (http://www.rhq-project.org/display/JOPR2/PostgreSQL#PostgreSQL-postgresql.conf)
Comment 4 Robert Buck 2011-11-29 12:07:19 EST
Reviewed

Note You need to log in before you can comment on or make changes to this bug.